Create Linked Institution Session

Use the linked-institution/session/create endpoint to create a session for linking external financial institutions through various providers. This session can be used to initiate the linking process and manage institutions with the underlying providers.

You must supply both the provider being used and the list of services you require for the session. If the user has an existing linked institution, you can provide the linkedInstitutionId to reuse that institution for the session.

Creating a session is the first step in connecting an external institution (and external accounts) to a user. After creating a session and presenting either a hosted URL or SDK experience to the user, you will need to complete the linking process by calling the Complete Linked Institution Session endpoint once the user has finished the provider flow.

Body Params

POST /v1/linked-institution/session/create Request body

string
required

Pass in the Spidr user ID

string

Pass in the linked institution ID

services
array of strings
required

The service(s) needed for the linked institution session

services*
string
enum
required

Underlying vendor that was invoked. Each product is configured to use a specific set of vendors.

Allowed:
providerOptions
object

Optional configuration for the provider

string
required

Pass in the Spidr product ID. Only required if multiple products are enabled.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json